## gr-rds 3.7.0.1.07cf86a

=== grc/CMakeLists.txt ===

file(GLOB xml_files "*.xml")

install(FILES ${xml_files} DESTINATION share/gnuradio/grc/blocks )

=== lib/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup library
########################################################################
include(GrPlatform) #define LIB_SUFFIX
include(GrMiscUtils)

add_library(gnuradio-rds SHARED
    decoder_impl.cc
    encoder_impl.cc
    parser_impl.cc
)
target_link_libraries(gnuradio-rds ${Boost_LIBRARIES}  ${GNURADIO_ALL_LIBRARIES})
set_target_properties(gnuradio-rds PROPERTIES DEFINE_SYMBOL "gnuradio_RDS_EXPORTS")

########################################################################
# Install built library files
########################################################################
install(TARGETS gnuradio-rds
    LIBRARY DESTINATION lib${LIB_SUFFIX} # .so/.dylib file
    ARCHIVE DESTINATION lib${LIB_SUFFIX} # .lib file
    RUNTIME DESTINATION bin              # .dll file
)

GR_LIBRARY_FOO(gnuradio-rds)

=== python/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Include python install macros
########################################################################
include(GrPython)
if(NOT PYTHONINTERP_FOUND)
    return()
endif()

########################################################################
# Install python sources
########################################################################
GR_PYTHON_INSTALL(
    FILES
    __init__.py
    rdspanel.py
    DESTINATION ${GR_PYTHON_DIR}/rds
)

########################################################################
# Handle the unit tests
########################################################################
#include(GrTest)
#
#set(GR_TEST_TARGET_DEPS gnuradio-rds)
#set(GR_TEST_PYTHON_DIRS ${CMAKE_BINARY_DIR}/swig)
#GR_ADD_TEST(qa_rds ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_rds.py)

=== swig/CMakeLists.txt ===
#
# Copyright 2013 Free Software Foundation, Inc.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

########################################################################
# Include swig generation macros
########################################################################
find_package(SWIG)
find_package(PythonLibs)
if(NOT SWIG_FOUND OR NOT PYTHONLIBS_FOUND)
    return()
endif()
include(GrSwig)
include(GrPython)

set(GR_SWIG_INCLUDE_DIRS
    ${CMAKE_CURRENT_SOURCE_DIR}/../include/
    ${CMAKE_CURRENT_BINARY_DIR}/../include/
)

########################################################################
# Setup swig generation
########################################################################
foreach(incdir ${GNURADIO_RUNTIME_INCLUDE_DIRS})
    list(APPEND GR_SWIG_INCLUDE_DIRS ${incdir}/gnuradio/swig)
endforeach(incdir)

set(GR_SWIG_LIBRARIES gnuradio-rds)
set(GR_SWIG_DOC_FILE ${CMAKE_CURRENT_BINARY_DIR}/rds_swig_doc.i)
set(GR_SWIG_DOC_DIRS
    ${CMAKE_CURRENT_SOURCE_DIR}/../include/rds/
    ${CMAKE_CURRENT_BINARY_DIR}/../include/rds/
)

GR_SWIG_MAKE(rds_swig rds_swig.i)

########################################################################
# Install the build swig module
########################################################################
GR_SWIG_INSTALL( TARGETS rds_swig DESTINATION ${GR_PYTHON_DIR}/rds)

########################################################################
# Install swig .i files for development
########################################################################
install(
    FILES
    rds_swig.i
    ${CMAKE_CURRENT_BINARY_DIR}/rds_swig_doc.i
    DESTINATION ${GR_INCLUDE_DIR}/rds/swig
)

=== debian/changelog ===
gr-rds (3.7.0.1.07cf86a-1) unstable; urgency=medium

  * Initial package (Closes: #782424)
  * New upstream
  * build with gnuradio 3.7.9

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 30 Jan 2016 17:55:39 -0500

=== debian/control ===
Source: gr-rds
Section: libdevel
Priority: extra
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0~),
	       doxygen,
               gnuradio-dev (>=3.7.8),
	       libboost-system-dev,
	       liblog4cpp5-dev,
               pkg-config,
               swig
Standards-Version: 3.9.6
Homepage: https://github.com/bastibl/gr-rds
Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gr-rds.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gr-rds.git/

Package: gr-rds
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: gnuradio-dev,
         libgnuradio-rds3.7.0  (=${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: GNU Radio FM RDS/TMC Transceiver
 A Radio Data System - Traffic Message Channel (RDS-TMC) block
 for GNU Radio.
 .
 Radio Data System (RDS) is a communications protocol standard for
 embedding  small amounts of digital information in conventional
 FM radio broadcasts.
 .
 gr-rds provides GNU Radio Companion flowgraphs to handle RDS data.
 
Package: libgnuradio-rds3.7.0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gr-rds
Description: GNU Radio FM RDS/TMC Transceiver (library)
 A Radio Data System - Traffic Message Channel (RDS-TMC) block
 for GNU Radio.
 .
 Radio Data System (RDS) is a communications protocol standard for
 embedding  small amounts of digital information in conventional
 FM radio broadcasts.
 .
 This package provides a shared library.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

override_dh_auto_install:
	dh_auto_install
	rm -f debian/tmp/usr/lib/python2.7/dist-packages/rds/*pyc
	rm -f debian/tmp/usr/lib/python2.7/dist-packages/rds/*pyo

## gr-rds 3.7.0.2.a542331

=== CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.


########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.6)
project(gr-rds CXX C)
include(CheckLibraryExists)
enable_testing()

#select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

#make sure our local CMake Modules path comes first
list(INSERT CMAKE_MODULE_PATH 0 ${CMAKE_SOURCE_DIR}/cmake/Modules)

# Set the version information here
set(VERSION_INFO_MAJOR_VERSION 3)
set(VERSION_INFO_API_COMPAT    7)
set(VERSION_INFO_MINOR_VERSION 0)
set(VERSION_INFO_MAINT_VERSION git)
include(GrVersion) #setup version info

########################################################################
# Compiler specific setup
########################################################################
if(NOT WIN32)
    #http://gcc.gnu.org/wiki/Visibility
    add_definitions(-fvisibility=hidden)
endif()

########################################################################
# Find boost
########################################################################
if(UNIX AND EXISTS "/usr/lib64")
    list(APPEND BOOST_LIBRARYDIR "/usr/lib64") #fedora 64-bit fix
endif(UNIX AND EXISTS "/usr/lib64")
set(Boost_ADDITIONAL_VERSIONS
    "1.35.0" "1.35" "1.36.0" "1.36" "1.37.0" "1.37" "1.38.0" "1.38" "1.39.0" "1.39"
    "1.40.0" "1.40" "1.41.0" "1.41" "1.42.0" "1.42" "1.43.0" "1.43" "1.44.0" "1.44"
    "1.45.0" "1.45" "1.46.0" "1.46" "1.47.0" "1.47" "1.48.0" "1.48" "1.49.0" "1.49"
    "1.50.0" "1.50" "1.51.0" "1.51" "1.52.0" "1.52" "1.53.0" "1.53" "1.54.0" "1.54"
    "1.55.0" "1.55" "1.56.0" "1.56" "1.57.0" "1.57" "1.58.0" "1.58" "1.59.0" "1.59"
    "1.60.0" "1.60" "1.61.0" "1.61" "1.62.0" "1.62" "1.63.0" "1.63" "1.64.0" "1.64"
    "1.65.0" "1.65" "1.66.0" "1.66" "1.67.0" "1.67" "1.68.0" "1.68" "1.69.0" "1.69"
)
find_package(Boost "1.35" COMPONENTS system)

if(NOT Boost_FOUND)
    message(FATAL_ERROR "Boost required to compile gr-rds")
endif()

########################################################################
# Install directories
########################################################################
include(GrPlatform) #define LIB_SUFFIX
set(GR_RUNTIME_DIR      bin)
set(GR_LIBRARY_DIR      lib${LIB_SUFFIX})
set(GR_INCLUDE_DIR      include/rds)
set(GR_DATA_DIR         share)
set(GR_PKG_DATA_DIR     ${GR_DATA_DIR}/${CMAKE_PROJECT_NAME})
set(GR_DOC_DIR          ${GR_DATA_DIR}/doc)
set(GR_PKG_DOC_DIR      ${GR_DOC_DIR}/${CMAKE_PROJECT_NAME})
set(GR_CONF_DIR         etc)
set(GR_PKG_CONF_DIR     ${GR_CONF_DIR}/${CMAKE_PROJECT_NAME}/conf.d)
set(GR_LIBEXEC_DIR      libexec)
set(GR_PKG_LIBEXEC_DIR  ${GR_LIBEXEC_DIR}/${CMAKE_PROJECT_NAME})
set(GRC_BLOCKS_DIR      ${GR_PKG_DATA_DIR}/grc/blocks)

########################################################################
# Find gnuradio build dependencies
########################################################################
set(GR_REQUIRED_COMPONENTS RUNTIME PMT)
find_package(Gnuradio)

if(NOT GNURADIO_RUNTIME_FOUND)
    message(FATAL_ERROR "GnuRadio Runtime required to compile gr-rds")
endif()

find_package(Doxygen)

find_package(PythonLibs 2)

find_package(SWIG)

########################################################################
# On Apple only, set install name and use rpath correctly, if not already set
########################################################################
if(APPLE)
	if(NOT CMAKE_INSTALL_NAME_DIR)
		set(CMAKE_INSTALL_NAME_DIR
			${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
			PATH "Library Install Name Destination Directory" FORCE)
	endif(NOT CMAKE_INSTALL_NAME_DIR)
	if(NOT CMAKE_INSTALL_RPATH)
		set(CMAKE_INSTALL_RPATH
			${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
			PATH "Library Install RPath" FORCE)
	endif(NOT CMAKE_INSTALL_RPATH)
	if(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
		set(CMAKE_BUILD_WITH_INSTALL_RPATH ON CACHE
			BOOL "Do Build Using Library Install RPath" FORCE)
	endif(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
endif(APPLE)

########################################################################
# Setup the include and linker paths
########################################################################
include_directories(
    ${CMAKE_SOURCE_DIR}/include
    ${Boost_INCLUDE_DIRS}
    ${GNURADIO_ALL_INCLUDE_DIRS}
)

link_directories(
    ${Boost_LIBRARY_DIRS}
    ${GNURADIO_ALL_LIBRARY_DIRS}
)

# Set component parameters
set(GR_RDS_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/include CACHE INTERNAL "" FORCE)
set(GR_RDS_SWIG_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/swig CACHE INTERNAL "" FORCE)

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)


########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include/rds)
add_subdirectory(lib)
add_subdirectory(swig)
add_subdirectory(python)
add_subdirectory(grc)
add_subdirectory(docs)

=== include/rds/CMakeLists.txt ===
#
#  Copyright (C) 2014 Bastian Bloessl <bloessl@ccs-labs.org>
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
include(GrPython)

########################################################################
# Install public header files
########################################################################

list(APPEND include_sources
    api.h
    decoder.h
    encoder.h
    parser.h
)

install(
	FILES ${include_sources}
	DESTINATION ${GR_INCLUDE_DIR}/gnuradio/rds
	COMPONENT "rds-devel"
)

=== debian/changelog ===
gr-rds (3.7.0.2.a542331-2) unstable; urgency=medium

  * build with gnuradio 3.7.11

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 04 Sep 2017 01:00:03 -0400

gr-rds (3.7.0.2.a542331-1) unstable; urgency=medium

  * New upstream git
  * build with gnuradio 3.7.10

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 10 Jul 2016 20:48:12 -0400

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Build-Depends: cmake,
                debhelper (>= 9.0.0~),
 	       doxygen,
-               gnuradio-dev (>=3.7.8),
+               gnuradio-dev (>=3.7.11),
 	       libboost-system-dev,
 	       liblog4cpp5-dev,
                pkg-config,
                swig
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Homepage: https://github.com/bastibl/gr-rds
 Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gr-rds.git
 Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gr-rds.git/
@@ -19,7 +19,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: gnuradio-dev,
-         libgnuradio-rds3.7.0  (=${binary:Version}),
+         libgnuradio-rds3.7.11  (=${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: GNU Radio FM RDS/TMC Transceiver
@@ -32,7 +32,7 @@
  .
  gr-rds provides GNU Radio Companion flowgraphs to handle RDS data.
  
-Package: libgnuradio-rds3.7.0
+Package: libgnuradio-rds3.7.11
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}

## gr-rds 3.8.0.0.f1c584a

=== CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of gr-rds
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 3.8)
project(gr-rds CXX C)
enable_testing()

# Install to PyBOMBS target prefix if defined
if(DEFINED ENV{PYBOMBS_PREFIX})
    set(CMAKE_INSTALL_PREFIX $ENV{PYBOMBS_PREFIX})
    message(STATUS "PyBOMBS installed GNU Radio. Setting CMAKE_INSTALL_PREFIX to $ENV{PYBOMBS_PREFIX}")
endif()

# Select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

# Make sure our local CMake Modules path comes first
list(INSERT CMAKE_MODULE_PATH 0 ${CMAKE_SOURCE_DIR}/cmake/Modules)

# Set the version information here
set(VERSION_INFO_MAJOR_VERSION 1)
set(VERSION_INFO_API_COMPAT    0)
set(VERSION_INFO_MINOR_VERSION 0)
set(VERSION_INFO_MAINT_VERSION git)

cmake_policy(SET CMP0011 NEW)

# Enable generation of compile_commands.json for code completion engines
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

########################################################################
# Compiler specific setup
########################################################################
if((CMAKE_CXX_COMPILER_ID MATCHES "Clang" OR
    CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    AND NOT WIN32)
    #http://gcc.gnu.org/wiki/Visibility
    add_definitions(-fvisibility=hidden)
endif()

IF(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    SET(CMAKE_CXX_STANDARD 11)
ELSEIF(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    SET(CMAKE_CXX_STANDARD 11)
ELSEIF(CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
    SET(CMAKE_CXX_STANDARD 11)
ELSE()
    message(WARNING "C++ standard could not be set because compiler is not GNU, Clang or MSVC.")
ENDIF()

IF(CMAKE_C_COMPILER_ID STREQUAL "GNU")
    SET(CMAKE_C_STANDARD 11)
ELSEIF(CMAKE_C_COMPILER_ID MATCHES "Clang")
    SET(CMAKE_C_STANDARD 11)
ELSEIF(CMAKE_C_COMPILER_ID STREQUAL "MSVC")
    SET(CMAKE_C_STANDARD 11)
ELSE()
    message(WARNING "C standard could not be set because compiler is not GNU, Clang or MSVC.")
ENDIF()

########################################################################
# Install directories
########################################################################
find_package(Gnuradio "3.8" REQUIRED)
include(GrVersion)

include(GrPlatform) #define LIB_SUFFIX

if(NOT CMAKE_MODULES_DIR)
  set(CMAKE_MODULES_DIR lib${LIB_SUFFIX}/cmake)
endif(NOT CMAKE_MODULES_DIR)

set(GR_INCLUDE_DIR      include/rds)
set(GR_CMAKE_DIR        ${CMAKE_MODULES_DIR}/rds)
set(GR_PKG_DATA_DIR     ${GR_DATA_DIR}/${CMAKE_PROJECT_NAME})
set(GR_PKG_DOC_DIR      ${GR_DOC_DIR}/${CMAKE_PROJECT_NAME})
set(GR_PKG_CONF_DIR     ${GR_CONF_DIR}/${CMAKE_PROJECT_NAME}/conf.d)
set(GR_PKG_LIBEXEC_DIR  ${GR_LIBEXEC_DIR}/${CMAKE_PROJECT_NAME})

########################################################################
# On Apple only, set install name and use rpath correctly, if not already set
########################################################################
if(APPLE)
    if(NOT CMAKE_INSTALL_NAME_DIR)
        set(CMAKE_INSTALL_NAME_DIR
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
            PATH "Library Install Name Destination Directory" FORCE)
    endif(NOT CMAKE_INSTALL_NAME_DIR)
    if(NOT CMAKE_INSTALL_RPATH)
        set(CMAKE_INSTALL_RPATH
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
            PATH "Library Install RPath" FORCE)
    endif(NOT CMAKE_INSTALL_RPATH)
    if(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
        set(CMAKE_BUILD_WITH_INSTALL_RPATH ON CACHE
            BOOL "Do Build Using Library Install RPath" FORCE)
    endif(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
endif(APPLE)

########################################################################
# Find gnuradio build dependencies
########################################################################

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
    )


########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include/rds)
add_subdirectory(lib)
add_subdirectory(swig)
add_subdirectory(python)
add_subdirectory(grc)

=== grc/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-rds
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

install(FILES
    rds_decoder.block.yml
    rds_encoder.block.yml
    rds_panel.block.yml
    rds_parser.block.yml DESTINATION share/gnuradio/grc/blocks
)

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Copyright 2011 Free Software Foundation, Inc.
 #
-# This file is part of GNU Radio
+# This file is part of gr-rds
 #
 # GNU Radio is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -21,23 +21,65 @@
 # Setup library
 ########################################################################
 include(GrPlatform) #define LIB_SUFFIX
-include(GrMiscUtils)
 
-add_library(gnuradio-rds SHARED
+list(APPEND rds_sources
     decoder_impl.cc
     encoder_impl.cc
     parser_impl.cc
 )
-target_link_libraries(gnuradio-rds ${Boost_LIBRARIES}  ${GNURADIO_ALL_LIBRARIES})
-set_target_properties(gnuradio-rds PROPERTIES DEFINE_SYMBOL "gnuradio_RDS_EXPORTS")
+
+set(rds_sources "${rds_sources}" PARENT_SCOPE)
+if(NOT rds_sources)
+    MESSAGE(STATUS "No C++ sources... skipping lib/")
+    return()
+endif(NOT rds_sources)
+
+add_library(gnuradio-rds SHARED ${rds_sources})
+target_link_libraries(gnuradio-rds gnuradio::gnuradio-runtime)
+target_include_directories(gnuradio-rds
+    PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../include>
+    PUBLIC $<INSTALL_INTERFACE:include>
+  )
+set_target_properties(gnuradio-rds PROPERTIES DEFINE_SYMBOL "gnuradio_rds_EXPORTS")
+
+if(APPLE)
+    set_target_properties(gnuradio-rds PROPERTIES
+        INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib"
+    )
+endif(APPLE)
 
 ########################################################################
 # Install built library files
 ########################################################################
-install(TARGETS gnuradio-rds
-    LIBRARY DESTINATION lib${LIB_SUFFIX} # .so/.dylib file
-    ARCHIVE DESTINATION lib${LIB_SUFFIX} # .lib file
-    RUNTIME DESTINATION bin              # .dll file
+include(GrMiscUtils)
+GR_LIBRARY_FOO(gnuradio-rds)
+
+########################################################################
+# Print summary
+########################################################################
+message(STATUS "Using install prefix: ${CMAKE_INSTALL_PREFIX}")
+message(STATUS "Building for version: ${VERSION} / ${LIBVER}")
+
+########################################################################
+# Build and register unit test
+########################################################################
+include(GrTest)
+
+# If your unit tests require special include paths, add them here
+#include_directories()
+# List all files that contain Boost.UTF unit tests here
+list(APPEND test_rds_sources
 )
+# Anything we need to link to for the unit tests go here
+list(APPEND GR_TEST_TARGET_DEPS gnuradio-rds)
 
-GR_LIBRARY_FOO(gnuradio-rds)
+if(NOT test_rds_sources)
+    MESSAGE(STATUS "No C++ unit tests... skipping")
+    return()
+endif(NOT test_rds_sources)
+
+foreach(qa_file ${test_rds_sources})
+    GR_ADD_CPP_TEST("rds_${qa_file}"
+        ${CMAKE_CURRENT_SOURCE_DIR}/${qa_file}
+    )
+endforeach(qa_file)

=== python/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Copyright 2011 Free Software Foundation, Inc.
 #
-# This file is part of GNU Radio
+# This file is part of gr-rds
 #
 # GNU Radio is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -31,16 +31,13 @@
 GR_PYTHON_INSTALL(
     FILES
     __init__.py
-    rdspanel.py
-    DESTINATION ${GR_PYTHON_DIR}/rds
+    rdspanel.py DESTINATION ${GR_PYTHON_DIR}/rds
 )
 
 ########################################################################
 # Handle the unit tests
 ########################################################################
-#include(GrTest)
-#
-#set(GR_TEST_TARGET_DEPS gnuradio-rds)
-#set(GR_TEST_PYTHON_DIRS ${CMAKE_BINARY_DIR}/swig)
-#GR_ADD_TEST(qa_rds ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/qa_rds.py)
+include(GrTest)
 
+set(GR_TEST_TARGET_DEPS gnuradio-rds)
+set(GR_TEST_PYTHON_DIRS ${CMAKE_BINARY_DIR}/swig)

=== swig/CMakeLists.txt ===
--- 
+++ 
@@ -26,31 +26,23 @@
 include(GrSwig)
 include(GrPython)
 
-set(GR_SWIG_INCLUDE_DIRS
-    ${CMAKE_CURRENT_SOURCE_DIR}/../include/
-    ${CMAKE_CURRENT_BINARY_DIR}/../include/
-)
-
 ########################################################################
 # Setup swig generation
 ########################################################################
-foreach(incdir ${GNURADIO_RUNTIME_INCLUDE_DIRS})
-    list(APPEND GR_SWIG_INCLUDE_DIRS ${incdir}/gnuradio/swig)
-endforeach(incdir)
+set(GR_SWIG_INCLUDE_DIRS $<TARGET_PROPERTY:gnuradio::runtime_swig,INTERFACE_INCLUDE_DIRECTORIES>)
+set(GR_SWIG_TARGET_DEPS gnuradio::runtime_swig)
 
 set(GR_SWIG_LIBRARIES gnuradio-rds)
+
 set(GR_SWIG_DOC_FILE ${CMAKE_CURRENT_BINARY_DIR}/rds_swig_doc.i)
-set(GR_SWIG_DOC_DIRS
-    ${CMAKE_CURRENT_SOURCE_DIR}/../include/rds/
-    ${CMAKE_CURRENT_BINARY_DIR}/../include/rds/
-)
+set(GR_SWIG_DOC_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/../include)
 
 GR_SWIG_MAKE(rds_swig rds_swig.i)
 
 ########################################################################
 # Install the build swig module
 ########################################################################
-GR_SWIG_INSTALL( TARGETS rds_swig DESTINATION ${GR_PYTHON_DIR}/rds)
+GR_SWIG_INSTALL(TARGETS rds_swig DESTINATION ${GR_PYTHON_DIR}/rds)
 
 ########################################################################
 # Install swig .i files for development

=== include/rds/CMakeLists.txt ===
--- 
+++ 
@@ -14,21 +14,13 @@
 #  You should have received a copy of the GNU General Public License
 #  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
-include(GrPython)
 
 ########################################################################
 # Install public header files
 ########################################################################
-
-list(APPEND include_sources
+install(FILES
     api.h
     decoder.h
     encoder.h
-    parser.h
+    parser.h DESTINATION include/rds
 )
-
-install(
-	FILES ${include_sources}
-	DESTINATION ${GR_INCLUDE_DIR}/gnuradio/rds
-	COMPONENT "rds-devel"
-)

=== debian/changelog ===
gr-rds (3.8.0.0.f1c584a-3~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * Changed DB from debhelper (>= 12~) to debhelper-compat (=12)
  * Removed debian/compat file

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Sun, 26 Apr 2020 19:43:45 -0400

gr-rds (3.8.0.0.f1c584a-3) unstable; urgency=medium

  * depend upon dh-python since python3-dev no longer does (Closes: #948936)
    thanks peter!

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 14 Jan 2020 21:10:42 -0500

gr-rds (3.8.0.0.f1c584a-2) unstable; urgency=medium

  * upload to unstable

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 28 Aug 2019 20:12:00 -0400

gr-rds (3.8.0.0.f1c584a-1) experimental; urgency=medium

  * New upstream release
    - updated to use Qt Gui elements (Closes: #859061)
    - updated to work with gnuradio 3.8
  * Bump soname/soversion to 1 and upload to experimental

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 25 Aug 2019 10:57:07 -0400

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,32 @@
 Source: gr-rds
 Section: libdevel
-Priority: extra
-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
+Priority: optional
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 9.0.0~),
+               debhelper-compat (=12),
+	       dh-python,
 	       doxygen,
-               gnuradio-dev (>=3.7.11),
+               gnuradio-dev (>=3.8),
+	       graphviz,
+	       libboost-regex-dev,
 	       libboost-system-dev,
+	       libgmp-dev,
 	       liblog4cpp5-dev,
+	       liborc-0.4-dev,
                pkg-config,
+	       python3-dev,
                swig
-Standards-Version: 4.0.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/bastibl/gr-rds
-Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gr-rds.git
-Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gr-rds.git/
+Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gr-rds
+Vcs-Git: https://salsa.debian.org/bottoms/pkg-gr-rds.git
 
 Package: gr-rds
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: gnuradio-dev,
-         libgnuradio-rds3.7.11  (=${binary:Version}),
+Depends: ${python3:Depends}, gnuradio-dev,
+         libgnuradio-rds1  (=${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: GNU Radio FM RDS/TMC Transceiver
@@ -32,7 +39,7 @@
  .
  gr-rds provides GNU Radio Companion flowgraphs to handle RDS data.
  
-Package: libgnuradio-rds3.7.11
+Package: libgnuradio-rds1
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH

%:
	dh $@ --with python3

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" -DCMAKE_BUILD_TYPE="Release"

override_dh_auto_install:
	dh_auto_install
	rm -f debian/tmp/usr/lib/python3/dist-packages/rds/*pyc
	rm -f debian/tmp/usr/lib/python3/dist-packages/rds/*pyo

## gr-rds 3.8.0.39.113b70b

=== debian/changelog ===
gr-rds (3.8.0.39.113b70b-1build1) jammy; urgency=medium

  * No-change rebuild against gnuradio 3.10.0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 19 Jan 2022 07:44:25 +0000

gr-rds (3.8.0.39.113b70b-1) unstable; urgency=medium

  * New upstream maint-3.9 branch
  * Builds with gnuradio 3.9 (Closes: #1002100)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 22 Dec 2021 23:53:32 -0500
